Skip to main content
POST
/
v1
/
buckets
/
{bucket_identifier}
/
batches
/
{batch_id}
/
tiers
/
{tier_num}
/
heal
Manual Self-Healing
curl --request POST \
  --url https://api.mixpeek.com/v1/buckets/{bucket_identifier}/batches/{batch_id}/tiers/{tier_num}/heal \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "<string>"
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

bucket_identifier
string
required

The unique identifier of the bucket.

batch_id
string
required

The unique identifier of the batch.

tier_num
integer
required

Zero-based tier number.

Required range: x >= 0

Body

application/json
action
string
required

Self-healing action: 'kill_duplicates', 'detect_stuck', 'sync_status'.

Response

Successful Response

The response is of type Response Heal Tier V1 Buckets Bucket Identifier Batches Batch Id Tiers Tier Num Heal Post · object.